import { ElementRef, Injector, OnInit, AfterViewInit } from '@angular/core';
import { Overlay } from '@angular/cdk/overlay';
import { FeatureToken, TaskTypeToken } from '../tokens';
import { DetectTask } from '../classes';
declare abstract class AbstractDetectDirective implements OnInit, AfterViewInit {
    protected el: ElementRef<HTMLImageElement>;
    protected overlay: Overlay;
    protected injector: Injector;
    protected abstract with: FeatureToken[];
    protected abstract type: TaskTypeToken;
    protected abstract stream: boolean;
    constructor(el: ElementRef<HTMLImageElement>, overlay: Overlay, injector: Injector);
    task: DetectTask;
    ngOnInit(): void;
    ngAfterViewInit(): void;
}
export declare class DetectAllFacesImgDirective extends AbstractDetectDirective {
    with: FeatureToken[];
    constructor(el: ElementRef<HTMLImageElement>, overlay: Overlay, injector: Injector);
    protected type: TaskTypeToken;
    protected stream: boolean;
}
export declare class DetectSingleFaceImgDirective extends AbstractDetectDirective implements OnInit {
    with: FeatureToken[];
    constructor(el: ElementRef<HTMLImageElement>, overlay: Overlay, injector: Injector);
    protected type: TaskTypeToken;
    protected stream: boolean;
    ngOnInit(): void;
}
export declare class DetectAllFacesVideoDirective extends AbstractDetectDirective {
    with: FeatureToken[];
    constructor(el: ElementRef<HTMLImageElement>, overlay: Overlay, injector: Injector);
    protected type: TaskTypeToken;
    protected stream: boolean;
}
export {};
